> For the complete documentation index, see [llms.txt](https://docs.appfarm.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.appfarm.io/reference/appfarm-create/keyboard-shortcuts.md).

# Keyboard shortcuts

Appfarm Create supports contextual keyboard shortcuts so that you can quickly navigate and execute common operations.

## Usage

Discover the shortcuts available on a given a page by pressing the `F1` key or selecting **Keyboard shortcuts** from the [Help menu](https://docs.appfarm.io/reference/appfarm-create/pages/DstCxzCn4cshCWR2dQmK#id-10.-help-menu).

| Shortcut                     | Action                                                                      | Context                                                                                               |
| ---------------------------- | --------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------- |
| `F1`                         | Show available keyboard shortcuts.                                          | Everywhere.                                                                                           |
| `Cmd/Ctrl` + `K`             | Launch [Appfarm Commander](/reference/appfarm-create/appfarm-commander.md). | Everywhere.                                                                                           |
| `Option/Alt` + `1, 2, …5`    | Switch to a specific tab.                                                   | Sections with tabs in the toolbar, for example inside an app or service, or Permissions.              |
| `Cmd/Ctrl` + `B`             | Toggle the main menu (collapse or expand).                                  | Everywhere.                                                                                           |
| `Cmd/Ctrl` + `E`             | Edit description of selected action node.                                   | Action nodes in the action editor.                                                                    |
| `Cmd/Ctrl` + `D`             | Duplicate the selected element.                                             | UI components, data sources, runtime properties and app variables, actions and action nodes and more. |
| `Cmd/Ctrl` + `C`             | Copy the selected element to the clipboard.                                 | UI components, runtime properties and app variables, actions and action nodes.                        |
| `Cmd/Ctrl` + `V`             | Paste a copied element from the clipboard.                                  | UI components, runtime properties and app variables, actions and action nodes.                        |
| `Cmd/Ctrl` + `X`             | Cut the selected element and add it to the clipboard                        | UI components, runtime properties and app variables, actions and action nodes.                        |
| `Cmd/Ctrl` + `R`             | Rename the selected element.                                                | UI components, data sources, actions                                                                  |
| `Cmd/Ctrl` + `Z`             | Undo the most recent operation.                                             | See [Undo/Redo](/reference/appfarm-create/undo-redo.md).                                              |
| `Cmd/Ctrl` + `/`             | Enable/Disable selected action node.                                        | Action nodes in the action editor.                                                                    |
| `Cmd/Ctrl` + `Shift` +`Z`    | Redo the most recent operation that was undone.                             | See [Undo/Redo](/reference/appfarm-create/undo-redo.md).                                              |
| `Cmd + Backspace` / `Delete` | Delete the selected element.                                                | UI components, runtime properties and app variables, actions and action nodes.                        |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.appfarm.io/reference/appfarm-create/keyboard-shortcuts.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
